Bug 436736 - scim-launcher does not output help
scim-launcher does not output help
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-10 00:07 EDT by Jens Petersen
Modified: 2008-12-01 19:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-01 19:41:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-03-10 00:07:06 EDT
Description of problem:
scim-launcher does not output help but tries to start scim.

Steps to Reproduce:
1. run $libdir/scim-1.0/scim-launcher --help
Actual results:
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM ...
SCIM successfully exited.

Expected results:
Help output to display in terminal.
Comment 1 Peng Huang 2008-03-10 02:26:52 EDT
Users should not use scim-launcher by self. It is just for /usr/bin/scim program
to launcher scim related processes. You may use scim --help to show help for
howto start scim.
Comment 2 Jens Petersen 2008-03-19 02:32:50 EDT
But sometimes it is useful to run it by hand for debugging, etc, no?
Comment 3 Bug Zapper 2008-05-14 01:53:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.